%inp = [0 0 1 1; 0 1 0 1];
%out = [0 0 0 1];

% load percep_i.txt
% load percep_o.txt
% inp = percep_i';
% out = percep_o';

load data3d_1_i.txt
load data3d_1_o.txt
inp = data3d_1_i';
out = data3d_1_o';

net = newp(minmax(inp), 1);
y = sim(net, inp)

figure(1)
plot(abs(y-out))

net = train(net, inp, out);
y1 = sim(net, inp)

figure(2)
plot(abs(y1-out))

net.iw{1,1}
net.b{1}

figure(3)
plotpv(inp,out)
plotpc(net.iw{1,1},net.b{1})
